Bug 1304674 - RHEVM UI raise exceptions when remove any items from long list (SDa/VMs/etc)
RHEVM UI raise exceptions when remove any items from long list (SDa/VMs/etc)
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.3
All All
high Severity high (vote)
: ovirt-3.6.5
: 3.6.5
Assigned To: Alexander Wels
Eldad Marciano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 05:26 EST by Yuri Obshansky
Modified: 2016-04-21 10:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 10:38:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: exception+
mgoldboi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
Exception screenshot (168.16 KB, image/png)
2016-02-04 05:26 EST, Yuri Obshansky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50165 None None None 2016-02-12 13:58 EST
oVirt gerrit 53491 ovirt-engine-3.6 MERGED webadmin: Prevent NPE in StorageGeneralModel 2016-02-14 03:54 EST

  None (edit)
Description Yuri Obshansky 2016-02-04 05:26:10 EST
Created attachment 1121059 [details]
Exception screenshot

Description of problem:
RHEVM UI raise exceptions when remove any items from long list (SDa/VMs/etc)
See attached screenshot.
ui.log raised exception
2016-02-02 17:56:16,335 ERROR
[org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService]
(ajp-/127.0.0.1:8702-13) [] Permutation name:
9427A308A8D941A090BA85F4C59BC529
2016-02-02 17:56:16,335 ERROR
[org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService]
(ajp-/127.0.0.1:8702-13) [] Uncaught exception: :
com.google.gwt.core.client.JavaScriptException: (TypeError)
 __gwt$exception: <skipped>: c is null
        at Unknown.ezq(Unknown Source)
        at Unknown.tPn(Unknown Source)
        at Unknown.wPn(Unknown Source)
        at Unknown.nTn(Unknown Source)
        at Unknown.qTn(Unknown Source)
        at Unknown.VRn(Unknown Source)
        at Unknown.YRn(Unknown Source)
        at Unknown.UIe(Unknown Source)
        at Unknown._xk(Unknown Source)
        at Unknown.v3(Unknown Source)
        at Unknown.O3(Unknown Source)
        at Unknown.Svf/c.onreadystatechange<(Unknown Source)
        at Unknown.Yt(Unknown Source)
        at Unknown.au(Unknown Source)
        at Unknown._t/<(Unknown Source)
        at Unknown.anonymous(Unknown Source)


Version-Release number of selected component (if applicable):
rhevm-setup-plugin-ovirt-engine-common-3.6.3-0.1.el6.noarch
ovirt-engine-extension-aaa-jdbc-1.0.5-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-3.6.3-0.1.el6.noarch
How reproducible:


Steps to Reproduce:
1. Create many items such as VMs/SDs/or something else
2. Remove any single item 
3. 

Actual results:
UI freeze and raise red exceptions

Expected results:
Nothing

Additional info:
Comment 1 Oved Ourfali 2016-02-04 08:04:02 EST
Alexander, can you take a look?
Comment 4 Alexander Wels 2016-02-04 09:28:29 EST
The trace will be in UI.log
Comment 5 Yuri Obshansky 2016-02-04 09:30:17 EST
Do I need restart rhevm-engine?
Comment 6 Alexander Wels 2016-02-04 09:32:53 EST
Honestly I haven't checked if it is needed. Try it without restarting (look in the UI.log, and if you see the same stack trace, then restart). If the stack trace is different (You see readable class names) then you don't need to restart.
Comment 7 Yaniv Kaul 2016-02-08 07:34:53 EST
What is a long list? 100 items? 1000? 10,000? Does it happen every time? Is this a regression?
Comment 8 Alexander Wels 2016-02-10 15:13:49 EST
@Yuri,

Were you able to get the debuginfo installed. I can confirm you DO need to restart the engine to make it work.
Comment 9 Yuri Obshansky 2016-02-11 06:40:24 EST
It happened 100% with 50 Storage Domains

See below debug information from ui.log
(after installing rhevm-webadmin-portal-debuginfo rhevm-userportal-debuginfo)

2016-02-11 13:36:13,700 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (ajp-/127.0.0.1:8702-8) [] Permutation name: 9427A308A8D941A090BA85F4C59BC529
2016-02-11 13:36:13,700 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (ajp-/127.0.0.1:8702-8) [] Uncaught exception: : com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: c is null
	at org.ovirt.engine.ui.uicommonweb.models.storage.StorageGeneralModel$1.onSuccess(StorageGeneralModel.java:160)
	at org.ovirt.engine.ui.frontend.Frontend$2.$onSuccess(Frontend.java:244) [frontend.jar:]
	at org.ovirt.engine.ui.frontend.Frontend$2.onSuccess(Frontend.java:244) [frontend.jar:]
	at org.ovirt.engine.ui.frontend.communication.OperationProcessor$2.$onSuccess(OperationProcessor.java:141) [frontend.jar:]
	at org.ovirt.engine.ui.frontend.communication.OperationProcessor$2.onSuccess(OperationProcessor.java:141) [frontend.jar:]
	at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$5$1.$onSuccess(GWTRPCCommunicationProvider.java:271) [frontend.jar:]
	at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$5$1.onSuccess(GWTRPCCommunicationProvider.java:271) [frontend.jar:]
	at com.google.gwt.rpc.client.impl.RpcCallbackAdapter.onResponseReceived(RpcCallbackAdapter.java:72) [gwt-servlet.jar:]
	at org.ovirt.engine.ui.common.gin.BaseSystemModule$1$1.onResponseReceived(BaseSystemModule.java:140)
	at com.google.gwt.http.client.Request.$fireOnResponseReceived(Request.java:237) [gwt-servlet.jar:]
	at com.google.gwt.http.client.RequestBuilder$1.onReadyStateChange(RequestBuilder.java:409) [gwt-servlet.jar:]
	at Unknown.Svf/c.onreadystatechange<(Unknown Source)
	at com.google.gwt.core.client.impl.Impl.apply(Impl.java:296) [gwt-servlet.jar:]
	at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:335) [gwt-servlet.jar:]
	at Unknown._t/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
Comment 10 Alexander Wels 2016-02-12 13:58:18 EST
You mentioned it also happening with VMs and other things. It appears someone already fixed the NPE for the storage connections in master, I will ask them to backport it to 3.6

@Yuri,

Can you also give me stack traces for the other locations that give you this exception (as they are probably different bugs)
Comment 11 Yuri Obshansky 2016-02-15 04:18:42 EST
Unfortunately, I don't have large environment to reproduce it again.
Comment 12 Eldad Marciano 2016-04-12 11:30:48 EDT
verified on top of 3.6.5.1 with  50 SD's
verified as well by 500 hosts datacenter.

no issues appears both firefox \ chrome

Note You need to log in before you can comment on or make changes to this bug.